import time
import sys
import random
from colorama import Fore, Style

class toolsstr:
    @staticmethod
    def get_color(color_name):
        if color_name == 'random':
            colors = [getattr(Fore, color) for color in vars(Fore) if not color.startswith('_')]
            return random.choice(colors)
        else:
            return getattr(Fore, color_name.upper(), Fore.WHITE)

    def __init__(self, text, delay=None, color='white'):
        self.text = text
        self.delay = delay
        self.color = color
        self.type_keyboard()

    def type_keyboard(self):
        if self.delay is None:
            print(self.get_color(self.color) + self.text + Style.RESET_ALL, end='\n')
        else:
            for char in self.text:
                color = self.get_color(self.color) if char != ' ' else Fore.RESET
                sys.stdout.write(color + char + Style.RESET_ALL)
                sys.stdout.flush()
                time.sleep(self.delay)
            sys.stdout.write('\n')
